part of link;

class LinkPage extends StatefulWidget {
  final String url;
  const LinkPage({
    Key? key,
    required this.url
  }) : super(key: key);

  @override
  State<LinkPage> createState() => _LinkPageState();
}

class _LinkPageState extends State<LinkPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        centerTitle: false,
      ),
      body: InAppWebView(
        initialUrlRequest: URLRequest(
          // url: Uri.parse('https://baike.baidu.com/item/${widget.keyword}?fromModule=lemma_search-box'),
            url: WebUri.uri(Uri.parse(widget.url))
        ),
      ),
    );
  }
}
